Sign Bundle
- PATCH
- /workspaces
- /:workspace
- /projects
- /:project_name
- /pipelines
- /:pipeline_id
- /actions
- /:action_id
Update Sign Bundle action configuration
Warning
You can't change the type of an existing action. To change the type, remove the action and add it again.
Request example
curl -X PATCH "https://api.buddy.works/workspaces/:workspace/projects/:project_name/pipelines/:pipeline_id/actions/:action_id" \
-H "Authorization: Bearer <YOUR-TOKEN>" \
-H "Content-Type: application/json" \
-d '{
"name": "Sign Android bundle",
"type": "ANDROID_SIGN_BUNDLE",
"trigger_time": "ON_EVERY_EXECUTION",
"local_path": "app/build/outputs/bundle/release/app-release.aab",
"output_dir": "/",
"application_name": "app-release-signed.aab",
"key_path": "my-release-key.jks",
"key_alias": "",
"key_password": "${key_password}",
"keystore_password": "${keystore_password}"
}'STATUS200 OK